public class HttpResponse extends Object
HTTP response value object inspired by Python requests.Response.
| Modifier and Type | Member | Description |
|---|---|---|
| public readonly | bodybody as String |
Response body as text. |
| public readonly | headers | Response headers. |
| public readonly | httpMethodhttpMethod as String |
HTTP method used by the request. |
| public readonly | statusCodestatusCode as Int |
HTTP status code (for example 200, 404, 500). |
| public readonly | urlurl as String |
Effective URL used by the request (after redirects when enabled). |
| Modifier and Type | Member | Description |
|---|---|---|
| public readonly property | okok as Boolean |
Returns true when the status code is in [200, 299]. |
| public readonly property | texttext as String |
Python-requests style alias. |
| Modifier and Type | Member | Description |
|---|---|---|
| public | jsonjson<TYPE>() as TYPE |
Parses body as JSON and returns the typed value. |
| public override | toStringtoString() as String |
No summary. |